Bug 986068 - nm.py:82:nm_state:AttributeError: 'NoneType' object has no attribute 'unpack'
nm.py:82:nm_state:AttributeError: 'NoneType' object has no attribute 'unpack'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
abrt_hash:f2c40efbdc252c7bb8252522c54...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 17:49 EDT by Adam Williamson
Modified: 2015-03-09 11:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-09 11:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (441 bytes, text/plain)
2013-07-18 17:49 EDT, Adam Williamson
no flags Details
File: os_info (297 bytes, text/plain)
2013-07-18 17:49 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-07-18 17:49:00 EDT
Description of problem:
Just tried to run liveinst on a freshly-built live image from current Rawhide. Note that bug #985627 affects the live image and may relate to this crash.

Version-Release number of selected component:
anaconda-20.2-1.fc20

Additional info:
cmdline:        /usr/bin/python /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
executable:     /sbin/anaconda
kernel:         3.11.0-0.rc1.git1.1.fc20.x86_64
runlevel:       N 5
uid:            0
Comment 1 Adam Williamson 2013-07-18 17:49:04 EDT
Created attachment 775514 [details]
File: environ
Comment 2 Adam Williamson 2013-07-18 17:49:07 EDT
Created attachment 775515 [details]
File: os_info
Comment 3 Adam Williamson 2013-07-18 17:51:37 EDT
After restarting NetworkManager.service (see 985627), this crash no longer seems to occur, but another crash happens immediately on startup. Filed as https://bugzilla.redhat.com/show_bug.cgi?id=986069 .
Comment 4 Fedora End Of Life 2013-09-16 10:38:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Radek Vykydal 2015-03-09 11:05:46 EDT
Please feel free to reopen the bug if you are able to reproduce it with current release.

Note You need to log in before you can comment on or make changes to this bug.